|
|||||||||
| Home >> All >> servletunit >> [ struts overview ] | PREV NEXT | ||||||||
A
- actionPath - Variable in class servletunit.struts.MockStrutsTestCase
- actionPerform() - Method in class servletunit.struts.CactusStrutsTestCase
- Executes the Action instance to be tested.
- actionPerform() - Method in class servletunit.struts.MockStrutsTestCase
- Executes the Action instance to be tested.
- actionServlet - Variable in class servletunit.struts.CactusStrutsTestCase
- actionServlet - Variable in class servletunit.struts.MockStrutsTestCase
- actionServletIsInitialized - Variable in class servletunit.struts.CactusStrutsTestCase
- actionServletIsInitialized - Variable in class servletunit.struts.MockStrutsTestCase
- addCookie(Cookie) - Method in class servletunit.struts.StrutsResponseWrapper
- addDateHeader(String, long) - Method in class servletunit.struts.StrutsResponseWrapper
- addHeader(String, String) - Method in class servletunit.struts.StrutsResponseWrapper
- addIntHeader(String, int) - Method in class servletunit.struts.StrutsResponseWrapper
- addParameter(String, String) - Method in class servletunit.struts.StrutsRequestWrapper
- addParameter(String, String[]) - Method in class servletunit.struts.StrutsRequestWrapper
- addRequestParameter(String, String) - Method in class servletunit.struts.CactusStrutsTestCase
- Adds an HttpServletRequest parameter to be used in setting up the ActionForm instance to be used in this test.
- addRequestParameter(String, String[]) - Method in class servletunit.struts.CactusStrutsTestCase
- Adds an HttpServletRequest parameter that is an array of String values to be used in setting up the ActionForm instance to be used in this test.
- addRequestParameter(String, String) - Method in class servletunit.struts.MockStrutsTestCase
- Adds an HttpServletRequest parameter to be used in setting up the ActionForm instance to be used in this test.
- addRequestParameter(String, String[]) - Method in class servletunit.struts.MockStrutsTestCase
- Adds an HttpServletRequest parameter that is an array of String values to be used in setting up the ActionForm instance to be used in this test.
C
- CactusStrutsTestCase - class servletunit.struts.CactusStrutsTestCase.
- CactusStrutsTestCase is an extension of the Cactus ServletTestCase base class that provides additional methods to aid in testing Struts Action objects.
- CactusStrutsTestCase() - Constructor for class servletunit.struts.CactusStrutsTestCase
- Default constructor.
- CactusStrutsTestCase(String) - Constructor for class servletunit.struts.CactusStrutsTestCase
- Constructor that takes test name parameter, for backwards compatibility with older versions on JUnit.
- Common - class servletunit.struts.Common.
- Contains code common to both MockStrutsTestCase and CactusStrutsTestCase.
- Common() - Constructor for class servletunit.struts.Common
- clearRequestParameters() - Method in class servletunit.struts.CactusStrutsTestCase
- Clears all request parameters previously set.
- clearRequestParameters() - Method in class servletunit.struts.MockStrutsTestCase
- Clears all request parameters previously set.
- clearRequestParameters() - Method in class servletunit.struts.StrutsRequestWrapper
- config - Variable in class servletunit.struts.MockStrutsTestCase
- containsHeader(String) - Method in class servletunit.struts.StrutsResponseWrapper
- context - Variable in class servletunit.struts.MockStrutsTestCase
- context - Variable in class servletunit.struts.StrutsServletConfigWrapper
D
- dispatchedResource - Variable in class servletunit.struts.StrutsServletContextWrapper
E
- ExceptionDuringTestError - error servletunit.struts.ExceptionDuringTestError.
- Title: ExceptionDuringTestError
- ExceptionDuringTestError(String, Throwable) - Constructor for class servletunit.struts.ExceptionDuringTestError
- encodeRedirectURL(String) - Method in class servletunit.struts.StrutsResponseWrapper
- encodeRedirectUrl(String) - Method in class servletunit.struts.StrutsResponseWrapper
- encodeURL(String) - Method in class servletunit.struts.StrutsResponseWrapper
- encodeUrl(String) - Method in class servletunit.struts.StrutsResponseWrapper
F
- findForward(String, String, HttpServletRequest, ServletContext) - Static method in class servletunit.struts.Common
- Returns a ForwardConfig for the given forward name.
- flushBuffer() - Method in class servletunit.struts.StrutsResponseWrapper
G
- getActionConfig(String, HttpServletRequest, ServletContext) - Static method in class servletunit.struts.Common
- Returns the configuration for the given action mapping.
- getActionForm() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns the ActionForm instance stored in either the request or session.
- getActionForm(String, HttpServletRequest, ServletContext) - Static method in class servletunit.struts.Common
- Returns any ActionForm instance stored in the request or session, if available.
- getActionForm() - Method in class servletunit.struts.MockStrutsTestCase
- Returns the ActionForm instance stored in either the request or session.
- getActionServlet() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns the ActionServlet controller used in this test.
- getActionServlet() - Method in class servletunit.struts.MockStrutsTestCase
- Returns the ActionServlet controller used in this test.
- getActualForward() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns the forward sent to RequestDispatcher.
- getActualForward() - Method in class servletunit.struts.MockStrutsTestCase
- Returns the forward sent to RequestDispatcher.
- getBufferSize() - Method in class servletunit.struts.StrutsResponseWrapper
- getCharacterEncoding() - Method in class servletunit.struts.StrutsResponseWrapper
- getForward() - Method in class servletunit.struts.StrutsServletContextWrapper
- getLocale() - Method in class servletunit.struts.StrutsResponseWrapper
- getMockRequest() - Method in class servletunit.struts.MockStrutsTestCase
- Returns the mock HttpServletRequest object used in this test.
- getMockResponse() - Method in class servletunit.struts.MockStrutsTestCase
- Returns the mock HttpServletResponse object used in this test.
- getModuleConfig(HttpServletRequest, ServletContext) - Static method in class servletunit.struts.Common
- Returns the configuration for the current module.
- getOutputStream() - Method in class servletunit.struts.StrutsResponseWrapper
- getParameter(String) - Method in class servletunit.struts.StrutsRequestWrapper
- getParameterMap() - Method in class servletunit.struts.StrutsRequestWrapper
- getParameterNames() - Method in class servletunit.struts.StrutsRequestWrapper
- getParameterValues(String) - Method in class servletunit.struts.StrutsRequestWrapper
- getPathInfo() - Method in class servletunit.struts.StrutsRequestWrapper
- getRedirectLocation() - Method in class servletunit.struts.StrutsResponseWrapper
- getRequest() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns an HttpServletRequest object that can be used in this test.
- getRequest() - Method in class servletunit.struts.MockStrutsTestCase
- Returns an HttpServletRequest object that can be used in this test.
- getRequestDispatcher(String) - Method in class servletunit.struts.StrutsServletContextWrapper
- getRequestWrapper() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns a HttpServletRequestWrapper object that can be used in this test.
- getRequestWrapper() - Method in class servletunit.struts.MockStrutsTestCase
- Returns a HttpServletRequestWrapper object that can be used in this test.
- getResource(String) - Method in class servletunit.struts.StrutsServletContextWrapper
- Override the getResource method to look for resources in the file system, allowing the use of absolute paths for Struts configuration files.
- getResourceAsStream(String) - Method in class servletunit.struts.StrutsServletContextWrapper
- Override the getResourceAsStream method to look for resources in the file system, allowing the use of absolute paths for Struts configuration files.
- getResponse() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns an HttpServletResponse object that can be used in this test.
- getResponse() - Method in class servletunit.struts.MockStrutsTestCase
- Returns an HttpServletResponse object that can be used in this test.
- getResponseWrapper() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns an HttpServletResponseWrapper object that can be used in this test.
- getResponseWrapper() - Method in class servletunit.struts.MockStrutsTestCase
- Returns an HttpServletResponseWrapper object that can be used in this test.
- getServletContext() - Method in class servletunit.struts.StrutsServletConfigWrapper
- getServletPath() - Method in class servletunit.struts.StrutsRequestWrapper
- getSession() - Method in class servletunit.struts.CactusStrutsTestCase
- Returns an HttpSession object that can be used in this test.
- getSession() - Method in class servletunit.struts.MockStrutsTestCase
- Returns an HttpSession object that can be used in this test.
- getTilesForward(String, HttpServletRequest, ServletContext, ServletConfig) - Static method in class servletunit.struts.Common
- Retrieves a forward uri for tile - this is required for applications using the tiles framework, since the actual forward URI must be fetched from the tile definition.
- getWriter() - Method in class servletunit.struts.StrutsResponseWrapper
I
- INCLUDE_SERVLET_PATH - Static variable in class servletunit.struts.Common
- init() - Method in class servletunit.struts.CactusStrutsTestCase
- A check that every method should run to ensure that the base class setUp method has been called.
- init() - Method in class servletunit.struts.MockStrutsTestCase
- A check that every method should run to ensure that the base class setUp method has been called.
- isCommitted() - Method in class servletunit.struts.StrutsResponseWrapper
- isInitialized - Variable in class servletunit.struts.CactusStrutsTestCase
- isInitialized - Variable in class servletunit.struts.MockStrutsTestCase
L
- logger - Static variable in class servletunit.struts.CactusStrutsTestCase
- logger - Static variable in class servletunit.struts.Common
- logger - Static variable in class servletunit.struts.MockStrutsTestCase
M
- MockStrutsTestCase - class servletunit.struts.MockStrutsTestCase.
- MockStrutsTestCase is an extension of the base JUnit testcase that provides additional methods to aid in testing Struts Action objects.
- MockStrutsTestCase() - Constructor for class servletunit.struts.MockStrutsTestCase
- Default constructor.
- MockStrutsTestCase(String) - Constructor for class servletunit.struts.MockStrutsTestCase
- Constructor that takes test name parameter, for backwards compatibility with older versions on JUnit.
- moduleName - Variable in class servletunit.struts.CactusStrutsTestCase
P
- parameters - Variable in class servletunit.struts.StrutsRequestWrapper
- pathInfo - Variable in class servletunit.struts.StrutsRequestWrapper
- printStackTrace() - Method in class servletunit.struts.ExceptionDuringTestError
- printStackTrace(PrintStream) - Method in class servletunit.struts.ExceptionDuringTestError
- printStackTrace(PrintWriter) - Method in class servletunit.struts.ExceptionDuringTestError
- processRequest(boolean) - Method in class servletunit.struts.CactusStrutsTestCase
- Instructs StrutsTestCase to fully process a forward request.
- processRequest - Variable in class servletunit.struts.StrutsServletContextWrapper
R
- redirectLocation - Variable in class servletunit.struts.StrutsResponseWrapper
- registrations - Variable in class servletunit.struts.MockStrutsTestCase
- The set of public identifiers, and corresponding resource names, for the versions of the configuration file DTDs that we know about.
- request - Variable in class servletunit.struts.MockStrutsTestCase
- requestPathIsSet - Variable in class servletunit.struts.CactusStrutsTestCase
- requestPathSet - Variable in class servletunit.struts.MockStrutsTestCase
- requestWrapper - Variable in class servletunit.struts.CactusStrutsTestCase
- requestWrapper - Variable in class servletunit.struts.MockStrutsTestCase
- reset() - Method in class servletunit.struts.StrutsResponseWrapper
- resetBuffer() - Method in class servletunit.struts.StrutsResponseWrapper
- response - Variable in class servletunit.struts.MockStrutsTestCase
- response - Variable in class servletunit.struts.StrutsResponseWrapper
- responseWrapper - Variable in class servletunit.struts.CactusStrutsTestCase
- responseWrapper - Variable in class servletunit.struts.MockStrutsTestCase
- rootCause - Variable in class servletunit.struts.ExceptionDuringTestError
S
- StrutsRequestWrapper - class servletunit.struts.StrutsRequestWrapper.
- A wrapper for the HttpServletRequest class.
- StrutsRequestWrapper(HttpServletRequestWrapper) - Constructor for class servletunit.struts.StrutsRequestWrapper
- StrutsResponseWrapper - class servletunit.struts.StrutsResponseWrapper.
- A wrapper for the HttpServletResponse class.
- StrutsResponseWrapper(HttpServletResponse) - Constructor for class servletunit.struts.StrutsResponseWrapper
- StrutsServletConfigWrapper - class servletunit.struts.StrutsServletConfigWrapper.
- A wrapper for the ServletConfig class.
- StrutsServletConfigWrapper(ServletConfig) - Constructor for class servletunit.struts.StrutsServletConfigWrapper
- StrutsServletContextWrapper - class servletunit.struts.StrutsServletContextWrapper.
- A wrapper for the ServletContext class.
- StrutsServletContextWrapper(ServletContext) - Constructor for class servletunit.struts.StrutsServletContextWrapper
- sendError(int) - Method in class servletunit.struts.StrutsResponseWrapper
- sendError(int, String) - Method in class servletunit.struts.StrutsResponseWrapper
- sendRedirect(String) - Method in class servletunit.struts.StrutsResponseWrapper
- servletMapping - Variable in class servletunit.struts.CactusStrutsTestCase
- servletPath - Variable in class servletunit.struts.StrutsRequestWrapper
- servletunit.struts - package servletunit.struts
- setActionForm(ActionForm) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets an ActionForm instance to be used in this test.
- setActionForm(ActionForm, HttpServletRequest, String, ServletContext) - Static method in class servletunit.struts.Common
- Sets an ActionForm instance in the request.
- setActionForm(ActionForm) - Method in class servletunit.struts.MockStrutsTestCase
- Sets an ActionForm instance to be used in this test.
- setActionServlet(ActionServlet) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets the ActionServlet to be used in this test execution.
- setActionServlet(ActionServlet) - Method in class servletunit.struts.MockStrutsTestCase
- Sets the ActionServlet to be used in this test execution.
- setBufferSize(int) - Method in class servletunit.struts.StrutsResponseWrapper
- setConfigFile(String) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets the location of the Struts configuration file for the default module.
- setConfigFile(String, String) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets the struts configuration file for a given sub-application.
- setConfigFile(String) - Method in class servletunit.struts.MockStrutsTestCase
- Sets the location of the Struts configuration file for the default module.
- setConfigFile(String, String) - Method in class servletunit.struts.MockStrutsTestCase
- Sets the struts configuration file for a given sub-application.
- setContentLength(int) - Method in class servletunit.struts.StrutsResponseWrapper
- setContentType(String) - Method in class servletunit.struts.StrutsResponseWrapper
- setContextDirectory(File) - Method in class servletunit.struts.MockStrutsTestCase
- Sets the context directory to be used with the getRealPath() methods in the ServletContext and HttpServletRequest API.
- setDateHeader(String, long) - Method in class servletunit.struts.StrutsResponseWrapper
- setHeader(String, String) - Method in class servletunit.struts.StrutsResponseWrapper
- setInitParameter(String, String) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets an initialization parameter on the ActionServlet.
- setInitParameter(String, String) - Method in class servletunit.struts.MockStrutsTestCase
- Sets an initialization parameter on the ActionServlet.
- setIntHeader(String, int) - Method in class servletunit.struts.StrutsResponseWrapper
- setLocale(Locale) - Method in class servletunit.struts.StrutsResponseWrapper
- setPathInfo(String) - Method in class servletunit.struts.StrutsRequestWrapper
- setProcessRequest(boolean) - Method in class servletunit.struts.StrutsServletContextWrapper
- setRequestPathInfo(String) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets the request path instructing the ActionServlet to used a particual ActionMapping.
- setRequestPathInfo(String, String) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets the request path instructing the ActionServlet to used a particual ActionMapping.
- setRequestPathInfo(String) - Method in class servletunit.struts.MockStrutsTestCase
- Sets the request path instructing the ActionServlet to used a particual ActionMapping.
- setRequestPathInfo(String, String) - Method in class servletunit.struts.MockStrutsTestCase
- Sets the request path instructing the ActionServlet to used a particual ActionMapping.
- setRequestWrapper(HttpServletRequestWrapper) - Method in class servletunit.struts.CactusStrutsTestCase
- Set this TestCase to use a given HttpServletRequestWrapper class when calling Action.execute().
- setRequestWrapper(HttpServletRequestWrapper) - Method in class servletunit.struts.MockStrutsTestCase
- Set this TestCase to use a given HttpServletRequestWrapper class when calling Action.execute().
- setResponseWrapper(HttpServletResponseWrapper) - Method in class servletunit.struts.CactusStrutsTestCase
- Set this TestCase to use a given HttpServletResponseWrapper class when calling Action.execute().
- setResponseWrapper(HttpServletResponseWrapper) - Method in class servletunit.struts.MockStrutsTestCase
- Set this TestCase to use a given HttpServletResponseWrapper class when calling Action.execute().
- setServletConfigFile(String) - Method in class servletunit.struts.MockStrutsTestCase
- Sets the location of the web.xml configuration file to be used to set up the servlet context and configuration for this test.
- setServletContext(ServletContext) - Method in class servletunit.struts.StrutsServletConfigWrapper
- setServletMapping(String) - Method in class servletunit.struts.CactusStrutsTestCase
- Sets the servlet mapping used to map requests to the Struts controller.
- setServletPath(String) - Method in class servletunit.struts.StrutsRequestWrapper
- setStatus(int) - Method in class servletunit.struts.StrutsResponseWrapper
- setStatus(int, String) - Method in class servletunit.struts.StrutsResponseWrapper
- setUp() - Method in class servletunit.struts.CactusStrutsTestCase
- Sets up the test fixture for this test.
- setUp() - Method in class servletunit.struts.MockStrutsTestCase
- Sets up the test fixture for this test.
- stripActionPath(String) - Static method in class servletunit.struts.Common
- Strips off *.do from action paths specified as such.
- stripJSessionID(String) - Static method in class servletunit.struts.Common
- Strip ;jsessionid=
from path.
T
- TestPathFunctions - class servletunit.struts.TestPathFunctions.
- TestPathFunctions() - Constructor for class servletunit.struts.TestPathFunctions
- tearDown() - Method in class servletunit.struts.CactusStrutsTestCase
- tearDown() - Method in class servletunit.struts.MockStrutsTestCase
- testStripLongSessionId() - Method in class servletunit.struts.TestPathFunctions
- testStripSessionId() - Method in class servletunit.struts.TestPathFunctions
- testStripSessionIdWithQueryString() - Method in class servletunit.struts.TestPathFunctions
V
- verifyActionErrors(String[]) - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies if the ActionServlet controller sent these error messages.
- verifyActionErrors(String[]) - Method in class servletunit.struts.MockStrutsTestCase
- Verifies if the ActionServlet controller sent these error messages.
- verifyActionMessages(String[]) - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies if the ActionServlet controller sent these action messages.
- verifyActionMessages(HttpServletRequest, String[], String, String) - Static method in class servletunit.struts.Common
- Common method to verify action errors and action messages.
- verifyActionMessages(String[]) - Method in class servletunit.struts.MockStrutsTestCase
- Verifies if the ActionServlet controller sent these action messages.
- verifyForward(String) - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies if the ActionServlet controller used this forward.
- verifyForward(String) - Method in class servletunit.struts.MockStrutsTestCase
- Verifies if the ActionServlet controller used this forward.
- verifyForwardPath(String) - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies if the ActionServlet controller used this actual path as a forward.
- verifyForwardPath(String, String, String, boolean, HttpServletRequest, ServletContext, ServletConfig) - Static method in class servletunit.struts.Common
- Verifies that ActionServlet used this logical forward or input mapping.
- verifyForwardPath(String) - Method in class servletunit.struts.MockStrutsTestCase
- Verifies if the ActionServlet controller used this actual path as a forward.
- verifyInputForward() - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies if the ActionServlet controller forwarded to the defined input path.
- verifyInputForward() - Method in class servletunit.struts.MockStrutsTestCase
- Verifies if the ActionServlet controller forwarded to the defined input path.
- verifyInputTilesForward(String) - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies that the ActionServlet controller forwarded to the defined input Tiles definition.
- verifyInputTilesForward(String) - Method in class servletunit.struts.MockStrutsTestCase
- Verifies that the ActionServlet controller forwarded to the defined input Tiles definition.
- verifyNoActionErrors() - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies that the ActionServlet controller sent no error messages upon executing an Action object.
- verifyNoActionErrors() - Method in class servletunit.struts.MockStrutsTestCase
- Verifies that the ActionServlet controller sent no error messages upon executing an Action object.
- verifyNoActionMessages() - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies that the ActionServlet controller sent no action messages upon executing an Action object.
- verifyNoActionMessages(HttpServletRequest, String, String) - Static method in class servletunit.struts.Common
- Common method to verify action errors and action messages.
- verifyNoActionMessages() - Method in class servletunit.struts.MockStrutsTestCase
- Verifies that the ActionServlet controller sent no action messages upon executing an Action object.
- verifyTilesForward(String, String) - Method in class servletunit.struts.CactusStrutsTestCase
- Verifies that the ActionServlet controller used this forward and Tiles definition.
- verifyTilesForward(String, String, String, boolean, HttpServletRequest, ServletContext, ServletConfig) - Static method in class servletunit.struts.Common
- Verifies that ActionServlet used this logical forward or input mapping with this tile definition.
- verifyTilesForward(String, String) - Method in class servletunit.struts.MockStrutsTestCase
- Verifies that the ActionServlet controller used this forward and Tiles definition.
A C D E F G I L M P R S T V
|
|||||||||
| Home >> All >> servletunit >> [ struts overview ] | PREV NEXT | ||||||||